org.apache.solr.client.solrj.response

## Class QueryResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.QueryResponse

- All Implemented Interfaces:
    Serializable

      public class QueryResponse
      extends SolrResponseBase

  Since:
    solr 1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryResponse()`
    `QueryResponse(NamedList<Object> res, SolrClient solrClient)` Utility constructor to set the solrServer and namedList
    `QueryResponse(SolrClient solrClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> List<T>` | `getBeans(Class<T> type)`
    `ClusteringResponse` | `getClusteringResponse()`
    `Map<String,Object>` | `getDebugMap()`
    `Map<String,SolrDocumentList>` | `getExpandedResults()`
    `Map<String,String>` | `getExplainMap()`
    `FacetField` | `getFacetDate(String name)`
    `List<FacetField>` | `getFacetDates()`
    `FacetField` | `getFacetField(String name)` get
    `List<FacetField>` | `getFacetFields()` See also: `getLimitingFacets()`
    `NamedList<List<PivotField>>` | `getFacetPivot()`
    `Map<String,Integer>` | `getFacetQuery()`
    `List<RangeFacet>` | `getFacetRanges()`
    `Map<String,FieldStatsInfo>` | `getFieldStatsInfo()`
    `GroupResponse` | `getGroupResponse()` Returns the `GroupResponse` containing the group commands.
    `NamedList<Object>` | `getHeader()`
    `Map<String,Map<String,List<String>>>` | `getHighlighting()`
    `List<IntervalFacet>` | `getIntervalFacets()`
    `List<FacetField>` | `getLimitingFacets()`
    `NamedList<SolrDocumentList>` | `getMoreLikeThis()`
    `String` | `getNextCursorMark()`
    `SolrDocumentList` | `getResults()`
    `NamedList<ArrayList>` | `getSortValues()`
    `SpellCheckResponse` | `getSpellCheckResponse()`
    `SuggesterResponse` | `getSuggesterResponse()`
    `TermsResponse` | `getTermsResponse()`
    `protected List<PivotField>` | `readPivots(List<NamedList> list)`
    `void` | `removeFacets()` Remove the field facet info
    `void` | `setResponse(NamedList<Object> res)`

    - ### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

      `getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, toString`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

      `deserialize, serializable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryResponse

          public QueryResponse()

    - #### QueryResponse

          public QueryResponse(NamedList<Object> res,
                               SolrClient solrClient)

      Utility constructor to set the solrServer and namedList

    - #### QueryResponse

          public QueryResponse(SolrClient solrClient)

  - ### Method Detail

    - #### setResponse

          public void setResponse(NamedList<Object> res)

      Overrides:
        `setResponse` in class `SolrResponseBase`

    - #### readPivots

          protected List<PivotField> readPivots(List<NamedList> list)

    - #### removeFacets

          public void removeFacets()

      Remove the field facet info

    - #### getHeader

          public NamedList<Object> getHeader()

    - #### getResults

          public SolrDocumentList getResults()

    - #### getSortValues

          public NamedList<ArrayList> getSortValues()

    - #### getDebugMap

          public Map<String,Object> getDebugMap()

    - #### getExplainMap

          public Map<String,String> getExplainMap()

    - #### getFacetQuery

          public Map<String,Integer> getFacetQuery()

    - #### getExpandedResults

          public Map<String,SolrDocumentList> getExpandedResults()

      Returns:
        map with each group value as key and the expanded documents that belong to the group as value. There is no guarantee on the order of the keys obtained via an iterator.

    - #### getGroupResponse

          public GroupResponse getGroupResponse()

      Returns the `GroupResponse` containing the group commands. A group command can be the result of one of the following parameters:
      - group.field
      - group.func
      - group.query
      Returns:
        the `GroupResponse` containing the group commands

    - #### getHighlighting

          public Map<String,Map<String,List<String>>> getHighlighting()

    - #### getSpellCheckResponse

          public SpellCheckResponse getSpellCheckResponse()

    - #### getClusteringResponse

          public ClusteringResponse getClusteringResponse()

    - #### getSuggesterResponse

          public SuggesterResponse getSuggesterResponse()

    - #### getTermsResponse

          public TermsResponse getTermsResponse()

    - #### getMoreLikeThis

          public NamedList<SolrDocumentList> getMoreLikeThis()

    - #### getFacetFields

          public List<FacetField> getFacetFields()

      See also: `getLimitingFacets()`

    - #### getFacetDates

          public List<FacetField> getFacetDates()

    - #### getFacetRanges

          public List<RangeFacet> getFacetRanges()

    - #### getFacetPivot

          public NamedList<List<PivotField>> getFacetPivot()

    - #### getIntervalFacets

          public List<IntervalFacet> getIntervalFacets()

    - #### getFacetField

          public FacetField getFacetField(String name)

      get
      Parameters:
        `name` - the name of the
      Returns:
        the FacetField by name or null if it does not exist

    - #### getFacetDate

          public FacetField getFacetDate(String name)

    - #### getLimitingFacets

          public List<FacetField> getLimitingFacets()

      Returns:
        a list of FacetFields where the count is less then then #getResults() `SolrDocumentList.getNumFound()` If you want all results exactly as returned by solr, use: `getFacetFields()`

    - #### getBeans

          public <T> List<T> getBeans(Class<T> type)

    - #### getFieldStatsInfo

          public Map<String,FieldStatsInfo> getFieldStatsInfo()

    - #### getNextCursorMark

          public String getNextCursorMark()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.